package com.xueyi.system.digitalmans.mapper;

import com.xueyi.system.digitalmans.domain.query.DmManDeviceQuery;
import com.xueyi.system.api.digitalmans.domain.dto.DmManDeviceDto;
import com.xueyi.system.api.digitalmans.domain.po.DmManDevicePo;
import com.xueyi.common.web.entity.mapper.BaseMapper;
import com.xueyi.common.datasource.annotation.Master;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 数字人设备管理管理 数据层
 *
 * @author xueyi
 */
@Master
public interface DmManDeviceMapper extends BaseMapper<DmManDeviceQuery, DmManDeviceDto, DmManDevicePo> {
    List<DmManDevicePo> selectListByManual(DmManDevicePo po);
    List<DmManDevicePo> selectListByManualDeviceIdNotNullByTenantId(@Param("tenantId")Long tenantId);

    DmManDevicePo getOne(String devId);

    DmManDevicePo selectInfoByDevId(String devId);
    DmManDevicePo selectInfoBySecret(String devId);
    Integer updateInfoByManual(DmManDevicePo po);
}